OpenSSL linked version error with ProFtpd, how to fix?

    • OMV 2.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • OpenSSL linked version error with ProFtpd, how to fix?

      Hi,
      I found this in my log file, how to get this fixed?

      Sat Oct 29 16:17:37 2016: Starting ftp server: proftpdomv proftpd[2538]: mod_tls/2.4.3: compiled using OpenSSL version 'OpenSSL 1.0.1e 11 Feb 2013' headers, but linked to OpenSSL version 'OpenSSL 1.0.1t 3 May 2016' library
      Sat Oct 29 16:17:37 2016: omv proftpd[2538]: mod_sftp/0.9.8: compiled using OpenSSL version 'OpenSSL 1.0.1e 11 Feb 2013' headers, but linked to OpenSSL version 'OpenSSL 1.0.1t 3 May 2016' library
      Sat Oct 29 16:17:53 2016: omv proftpd[2538]: mod_ctrls: unable to chown local socket: No such file or directory

      ================================================================================
      = OS/Debian information
      ================================================================================
      Distributor ID: debian
      Description: Debian GNU/Linux 7 (wheezy)
      Release: 7.11
      Codename: wheezy
      ================================================================================
      = openmediavault information
      ================================================================================
      Release: 2.2.12
      Codename: Stone burner
      ================================================================================
      = Date
      ================================================================================
      Sat Oct 29 20:52:05 BST 2016
      ================================================================================
      ================================================================================
      = System information
      ================================================================================
      Linux omv 3.2.0-4-amd64 #1 SMP Debian 3.2.82-1 x86_64 GNU/Linux
      ============================================
      ii proftpd-basic 1.3.4a-5+deb amd64 Versatile, virtual-hosting FTP da
      ii proftpd-mod-vr 0.9.2-3 amd64 ProFTPD module mod_vroot
      Using OMV with VMware ESXi and Raspberry PI 2
    • The module vroot is provided by omv since Debian Jessie took it out. It is possible that when @votdev build the package this was against that ssl library version.
      I have no idea if the implications of this. Maybe the developer can build another vroot package.
      New wiki
      chat support at #openmediavault@freenode IRC | Spanish & English | GMT+10
      telegram.me/openmediavault broadcast channel
      openmediavault discord server
    • Seems I had to rebuild the package.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • I can conform the issue but it does not have any influence to the FTP functionality except that the info/warning message is displayed in the syslog/cli.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit